-- Demo for "GO is not an SQL statement".
-- When you run this, pay attention to that the two timestamps appear two
-- seconds apart. Comment out the GO. What happens now? If you change the 
-- variable name, when does the two "now" appear?
-- © Erland Sommarskog 2020.
DECLARE @d datetime2(3) = sysdatetime();
SELECT @d AS now;
WAITFOR DELAY '00:00:02';
GO
DECLARE @d datetime2(3) = sysdatetime();
SELECT @d AS now;
WAITFOR DELAY '00:00:02';




